[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Lintian error: depends-on-essential-package-without-using-version bash

On Sat, Aug 25, 2001 at 03:20:28AM +1000, Drew Parsons wrote:
> I can't find much in Debian policy about this, so I'd like to ask, what
> does this error mean, and why is it an error?  Is it correct that I do not

Because bash is essential, in the sense that every Debian system
*will* have it installed, so you don't have to worry about people
having bash -- they do. It is the same as with build-depending on
packages that are build-essential.

> Lastly, is there a reliable way of confirming that I do not in fact have any
> bashisms, so that #!/bin/sh would be sufficient?  sh is linked to bash, so

Get a more bare-bones shell, like 'ash', and try to run your code thru it.

 _ _  _| _  _  | _   . _ | _  http://laviola.org  Debian-BR Project
(_(_|| |(_)_)  |(_|\/|(_)|(_| uin#: 981913 (icq)  debian-br.sf.net

Linux: the choice of a GNU generation - Registered Linux User #103594

Reply to: